<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty string_decrypt modifier plugin
 *
 * Type:     modifier<br>
 * Name:     string_decrypt<br>
 * Purpose:  Decrypt the string
 * @param string
 * @param string
 * @return string
 */
function smarty_modifier_string_decrypt($string, $key = '')
{
    if (!is_string($string) || !is_string($key)) {
        return $string;
    }

    return pocket_decrypt($string, $key);
}

/* vim: set expandtab: */

?>
