{include file="incHtmlHeader.tpl" block_type="3"}

<body>
<div id="container">

{include file="incBlockHeader.tpl"}<!-- ヘッダー -->

<div id="container-main">

<div class="center-left">

<div class="left">

{* 左サイドメニュー *}
{include file="incSideBlockLeft.tpl"}

</div><!-- end left -->

{* ここから：本文 *}
<div class="center">
<br />

{* ここから：カテゴリのパン屑リスト *}
{foreach from=$breadcrumbs_list item=item name=breadcrumbs}
<a href="?m=pc&amp;a=categoryList.view&amp;category_id={$item.category_id}" title="{$item.outline}">{$item.category_name}</a>
{if !$smarty.foreach.breadcrumbs.last}
&gt;
{/if}
{/foreach}
<br />
<br />
{* ここまで：カテゴリのパン屑リスト *}

<div class="table-title">
トピックを編集する
</div><!-- end table-title -->
<div class="table-body">

{* エラーメッセージ *}
{include file="incErrorMessage.tpl"}

<form action="./" method="post">
<div>
<input type="hidden" name="a" value="topicUpdate.do" />
<input type="hidden" name="topic_id" value="{$topic.topic_id}" />
<input type="hidden" name="author_password" value="{$author_password}" />
</div>
<table cellpadding="1" cellspacing="0" border="0" width="100%">
<tr>
<td class="form-label">名前&nbsp;[*]：</td>
<td><input type="text" name="author_name" value="{$topic.author_name}" style="width: 150px;" /></td>
</tr>
<tr>
<td class="form-label">E-Mail：</td>
<td><input type="text" name="author_email" value="{$topic.author_email}" style="width: 200px;" /></td>
</tr>
<tr>
<td class="form-label">タイトル&nbsp;[*]：</td>
<td><input type="text" name="subject" value="{$topic.subject}" style="width: 300px;" /></td>
</tr>
<tr>
<td class="form-label t">本文&nbsp;[*]：</td>
<td><textarea name="body" cols="36" rows="5">{$topic.body|smarty:nodefaults}</textarea></td>
</tr>
<tr>
<td class="form-label">カテゴリ：</td>
<td>
<input type="hidden" name="category_id" value="{$topic.category_id}" />
{$topic.category_name}
</td>
</tr>
<tr>
<td class="form-label t">コメント削除&nbsp;[*]：</td>
{if $topic.comment_count > 0}
<td>
    {if $topic.allow_comment == 1}
    許可
    {else}
    禁止
    {/if}
    <div class="fd_caution">※コメントが登録されているので変更できません</div>
    <input type="hidden" name="allow_comment" value="{$topic.allow_comment}" />
{else}
<td style="line-height:20px;">
    <input type="radio" class="radio" name="allow_comment" value="1"{if $topic.allow_comment == 1} checked="checked"{/if} />&nbsp;許可&nbsp;
    <input type="radio" class="radio" name="allow_comment" value="0"{if $topic.allow_comment == 0} checked="checked"{/if} />&nbsp;禁止
{/if}
</td>
</tr>
<tr>
<td colspan="2"><br /><hr /></td>
</tr>
<tr>
<td colspan="2">以下に該当する場合は予告なく削除することがあります。<br /><br />
&nbsp;&nbsp;・管理者が著しく不利益と判断する内容<br />
&nbsp;&nbsp;・宣伝、商売に利用している<br />
&nbsp;&nbsp;・他人または団体、企業を誹謗中傷する内容<br />
&nbsp;&nbsp;・トピックのタイトル、内容がカテゴリに沿っていない<br /><br />
</td>
</tr>
<tr>
<td colspan="2"><input type="submit" class="submit" value="編集" /></td>
</tr>
</table><!-- end addbbs -->
</form>

</div><!-- end table-body -->
<div class="table-foot">
</div><!-- end table-foot -->
<br />

<div class="table-title">
トピックを削除する
</div><!-- end table-title -->
<div class="table-body">
<form action="./" method="post">
<div>
<input type="hidden" name="a" value="topicDeleteConfirm.view" />
<input type="hidden" name="topic_id" value="{$topic.topic_id}" />
<input type="hidden" name="author_password" value="{$author_password}" />
</div>
<table cellpadding="1" cellspacing="0" border="0" width="100%">
<tr>
<td><input type="submit" class="submit" value="削除" /></td>
</tr>
</table>
</form>
</div><!-- end table-body -->
<div class="table-foot">
</div><!-- end table-foot -->
<br />

</div><!-- end center -->
{* ここまで：本文 *}

<div class="clear"></div>

</div><!-- end center-left -->

<div class="right">

{* 右サイドメニュー *}
{include file="incSideBlockRight.tpl"}
</div><!-- end right -->

<div class="clear"></div>

</div><!-- end container-margin -->

{include file="incBlockFooter.tpl"}<!-- フッター -->

</div><!-- end container -->

</body>
</html>
