<?php
/**
 * Pocket Project
 * 
 * @copyright 2006 Power-Station co., Ltd, ALL Rights Reserved,
 */

/**
 *  セットアップTOP画面表示用のActionクラス
 *
 *  @author     Shogo Minami
 *  @access     public
 *  @package    PocketBBS.setup.view
 */
class defaultAction extends Pocket_Bbs_Action
{
    /**
     *  アクション実行
     *
     *  @access public
     *  @param  object  $controller         コントローラ
     *  @param  object  $request            リクエスト情報
     *  @return string  success,error
     */
    function execute(&$controller, &$request)
    {
        /**
         *  メイン情報の取得、設定
         */
        // DSNのDB種別
        $this->assign('dsn_phptype', $GLOBALS['_POCKET_DSN']['phptype']);

        // 検証エラーデータの復元
        if (!$this->isValid())
        {
            $this->assign('id', $request['id']);
            $this->assign('email', $request['email']);
            $this->assign('bbs_name', $request['BBS_NAME']);
        }

        /**
         *  基本情報の設定
         */
        // ページタイトル
        $this->assign('page_title', 'セットアップトップページ');

        return POCKET_ACTION_SUCCESS;
    }
}

?>
